:root{
    --main-text-color: rgb(54, 41, 29);

    --main-color-1: rgb(255, 168, 45); /* orange */
    --main-color-2: rgb(54, 41, 29); /* brown */
    --main-color-3: rgb(245, 232, 220); /* light beige */

    --background-color: rgb(222, 143, 31);
}

*{
    font-family: 'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    color: var(--main-text-color);
}

::selection {
  color: var(--main-color-3);
  background-color: var(--main-color-2);
}

body{
    margin: 0px;
    padding: 0px;
    background-color: var(--background-color);
    background-image: url(../images/bg-jay.png);
}

main{
    max-width: 960px;
    width: 95%;
    margin: 16px auto;

    background-color: var(--main-color-3);
    border: var(--main-color-2) solid 2px;
    border-radius: 16px;
    box-shadow: var(--main-color-2) 20px 20px 0px;

    overflow: hidden;
}

/* header */

.header-banner{
    display: grid;
    grid-template-columns: auto max(300px);
    grid-template-areas:
        "string jay"
        "title jay";

    margin-top: 16px;
}

#tooltip{
    grid-area: string;
    margin-left: auto;
}

#site-title{
    grid-area: title;
    margin-left: 10%;
    margin-top: auto;
    margin-bottom: 10px;
    font-family: 'Times New Roman', Times, serif;
    font-size: xx-large;
}

#jay-banner{
    grid-area: jay;
}

#string{
    margin: 8px 0px;
    margin-left: auto;
    padding: 8px 16px;
    border: var(--main-color-2) solid 2px;
    border-radius: 32px 32px 0px 32px;
    box-shadow: var(--main-color-2) 8px 8px 0px;

    text-align: right;
}

#header-hr{
    margin-top: 0px;
}

/* navigation bar */

.top-nav{
    display: flex;
    justify-content: left;
    flex-direction: row;
    flex-wrap: wrap;
}

.top-nav a{
    margin: 4px 8px;
    padding: 4px 16px;
    border: var(--main-color-2) solid 2px;
    box-shadow: var(--main-color-2) 4px 4px 0px;
    border-radius: 8px;

    text-decoration: none;
}

.top-nav a:hover{
    background-color: var(--main-color-2);
    color: var(--main-color-3);
}

.top-nav a:active{
    box-shadow: var(--main-color-2) 2px 2px 0px;
    transform: translate(2px, 2px);
}

/* main stuff */

.divided{
    display: grid;
    grid-template-columns: min(175px) auto;
}

article img{
    border: var(--main-color-2) solid 2px;
    box-shadow: var(--main-color-2) 4px 4px 0px;
    border-radius: 8px;
    max-width: 100%;
}

.sidebar, .content{
    margin: 0px 8px 8px 8px;
    padding: 10px 16px;
    border: var(--main-color-2) solid 2px;
    border-radius: 8px;
}

.sidebar{
    display: flex;
    flex-direction: column;
}

.content{
    display: none;
}

.visible{
    display: block;
}

.sidebar a{
    border: var(--main-color-2) solid 2px;
    box-shadow: var(--main-color-2) 4px 4px 0px;
    border-radius: 8px;

    margin: 4px -4px;
    padding: 6px;
}

.sidebar a:hover{
    background-color: var(--main-color-2);
    color: var(--main-color-3);
    cursor: pointer;
}

.sidebar a:active{
    box-shadow: var(--main-color-2) 2px 2px 0px;
    transform: translate(2px, 2px);
}

.sidebar-section{
    font-weight: bold;
    margin: 8px 0px;
}

/* footer */

footer{
    background-color: var(--main-color-2);
    padding: 16px;
}

footer ::selection {
  color: var(--main-color-2);
  background-color: var(--main-color-3);
}

footer p{
    color: var(--main-color-3);
}

/* misc */

hr{
    border: var(--main-color-2) solid 1px;
}

.border-setings{
    border: var(--main-color-2) solid 2px;
    box-shadow: var(--main-color-2) 4px 4px 0px;
    border-radius: 8px;
}

@media only screen and (max-width: 700px) {
    .divided{
        display: flex;
        flex-direction: column;
    }

    .sidebar{
        flex-direction: row;
        flex-wrap: wrap;
        column-gap: 20px;
    }

    .sidebar-section{
        margin: auto 0px;
    }
}